# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['pm4py_wrapper']

package_data = \
{'': ['*']}

install_requires = \
['click>=8.0.4,<9.0.0',
 'pandas>=1.4.1,<2.0.0',
 'pm4py>=2.2.19,<3.0.0',
 'pytest>=7.0.1,<8.0.0']

entry_points = \
{'console_scripts': ['pm4py_wrapper = pm4py_wrapper.cli:main']}

setup_kwargs = {
    'name': 'pm4py-wrapper',
    'version': '1.1.3',
    'description': 'pm4py wrapper to call the original package from CLI',
    'long_description': '# pm4py-wrapper\n\nCLI wrapper for pm4py.\n\n## Installation\n\nInstall using [pip](https://pip.pypa.io/en/stable/installation/):\n\n```shell\npip install pm4py-wrapper\n```\n\n## Usage\n\n```\nUsage: pm4py_wrapper [OPTIONS] COMMAND [ARGS]...\n\nOptions:\n  -i, --input_log PATH   Path to the input event log.  [required]\n  -o, --output_dir PATH  Path to the output directory.\n  --help                 Show this message and exit.\n\nCommands:\n  csv-to-xes\n  xes-to-csv\n\n```\n\nExamples:\n\n```shell\n$ pm4py_wrapper -i tests/assets/input/Production.xes -o tests/assets/output xes-to-csv\n$ pm4py_wrapper -i tests/assets/input/Production.csv -o tests/assets/output csv-to-xes\n```\n\n## Links\n\n- A helpful [answer](https://stackoverflow.com/questions/57628064/automating-python-package-release-process#answer-57676367) on StackOverflow on how to do CI/CD with Poetry.\n',
    'author': 'Ihar Suvorau',
    'author_email': 'ihar.suvorau@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
